package com.jld.vod.dao

import androidx.paging.DataSource
import androidx.room.*
import com.jld.vod.model.bean.LanguageBean


/**
 * @author ZhaoFuXin
 * @Email：18276061387@163.com
 * @description:
 * @date :2019/11/28 15:31
 */
@Dao
interface LanguageDao {
    @Insert
    fun insertAll(vararg languageBean: LanguageBean)

    @Query("SELECT * FROM LanguageBean")
    fun getAll(): List<LanguageBean>

    /**
     * 获取所有设备给paging使用
     */
    @Query("SELECT * FROM LanguageBean")
    fun getAlls(): DataSource.Factory<Int, LanguageBean>

    @Query(" DELETE FROM LanguageBean")
    fun delete()
}